[#11563] Small display glitch after creating new tag
Summary Small display glitch after creating new tag
Queue Nag
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners Horde Developers (at) , mrubinsk (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2012-10-19 (1465 days ago)
Updated 2016-02-04 (262 days ago)
Assigned 2012-10-22 (1462 days ago)
Resolved 2016-02-04 (262 days ago)
Patch No

2016-02-04 22:12:36 Michael Rubinsky State ⇒ Resolved
2016-02-04 22:10:09 Git Commit Comment #7 Reply to this comment
Changes have been made in Git (master):

commit bdb81d130c9bb88d2c91e245df8bb4511822430a
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Thu Feb 4 17:06:36 2016 -0500

     Bug: 11563  Fix adding tags when using Kolab.

     Kolab doesn't use the UID generated by Nag_Driver::add(), but
     calculates it after, so we need to overwrite the UID that we send
     to the tagger, or else it is tagged with the incorrect UID.

     This was causing the kolab object to not be completly tagged until
     the backend was synced with Horde again - essentially creating
     orphaned rampage_object entries with the incorrect UID.

  nag/lib/Driver/Kolab.php |    1 +
  1 files changed, 1 insertions(+), 0 deletions(-)

2016-02-02 16:06:27 Jan Schneider Comment #6 Reply to this comment
The tags are actually saved correctly and even displayed inside the 
task list, just not in the tag cloud above the list.
2016-02-02 15:47:40 Michael Rubinsky Comment #5
Assigned to Michael Rubinsky
Reply to this comment
I'll take a look at this one when I get time. Could have sworn this 
was fixed with the recent fix to tag parsing.
2016-02-02 09:10:20 Jan Schneider Comment #4
Assigned to Horde DevelopersHorde Developers
Taken from Jan Schneider
Reply to this comment
Still happens
2013-08-28 17:46:19 Thomas Jarosch Comment #3 Reply to this comment
@Jan: Is this fixed by the recent tag code refactoring?

2012-10-22 12:23:51 Jan Schneider Comment #2
Assigned to Jan Schneider
State ⇒ Assigned
Reply to this comment
Only happens when creating tasks, not when editing them, and only with Kolab.
2012-10-19 08:29:18 Thomas Jarosch Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Small display glitch after creating new tag
Queue ⇒ Nag
Milestone ⇒
Patch ⇒ No
Reply to this comment

create a new task in nag and also create a new tag like 
Once you click the "Save" button, you'll return to the task list. The 
new tag is
not shown in the tag filter selection cloud, I takes another requests 
for it to appear.